Results 1 to 9 of 9

Thread: emacs installation

  1. #1

    Default emacs installation

    The installation on 13.1 breaks down: I got this by YaST2: Software installation

    The installation has failed. For more information, see the log file at /var/log/YaST2/y2log. Failure stage was: Adding Repositories
    Error Message

    An error occurred while attempting to subscribe to the required repositories. Review the yast2 logs for more information.
    The following repositories could not be added


    It also says: Installation error: An error occurred initializing software repository
    Details:
    onpenSUSE 13.1: Ports: [1] Valid metadata not found at specified URL history
    [1] Repository type can't be determined.

    What's missing and how can I get it? Thanks!

  2. #2

    Default Re: emacs installation

    Quote Originally Posted by mgl View Post
    An error occurred while attempting to subscribe to the required repositories. Review the yast2 logs for more information.
    The following repositories could not be added

    Remove that repo again in YaST->Software Repositories f.e.
    This is not intended to be used on your system.

    Why did you add it in the first place?

  3. #3

    Default Re: emacs installation

    Quote Originally Posted by wolfi323 View Post
    Remove that repo again in YaST->Software Repositories f.e.
    This is not intended to be used on your system.

    Why did you add it in the first place?
    I don't remember adding it, but it is not listed in the YaST under "Configured Software Repositories" either. Where can I find and how can I remove it? Thanks!

  4. #4

    Default Re: emacs installation

    Quote Originally Posted by mgl View Post
    I don't remember adding it, but it is not listed in the YaST under "Configured Software Repositories" either. Where can I find and how can I remove it? Thanks!
    Please post the output of:
    Code:
    zypper lr -d

  5. #5

    Default Re: emacs installation

    Quote Originally Posted by wolfi323 View Post
    Please post the output of:
    Code:
    zypper lr -d
    # | Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
    ---+---------------------------+------------------------------------+---------+---------+----------+--------+--------------------------------------------------------------------------------+--------
    1 | home:rbosipelight | home:rbosipelight | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_13.1/ |
    2 | nVidia Graphics Drivers | nVidia Graphics Drivers | Yes | Yes | 99 | rpm-md | http://download.nvidia.com/opensuse/13.1/ |
    3 | openSUSE-13.1-1.10 | openSUSE-13.1-1.10 | Yes | No | 99 | yast2 | cd:///?devices=/dev/disk/by-id/ata-HL-DT-ST_DVD+_-RW_GH30N,/dev/sr0 |
    4 | repo-debug | openSUSE-13.1-Debug | No | Yes | 99 | NONE | http://download.opensuse.org/debug/d...13.1/repo/oss/ |
    5 | repo-debug-update | openSUSE-13.1-Update-Debug | No | Yes | 99 | NONE | http://download.opensuse.org/debug/update/13.1/ |
    6 | repo-debug-update-non-oss | openSUSE-13.1-Update-Debug-Non-Oss | No | Yes | 99 | NONE | http://download.opensuse.org/debug/update/13.1-non-oss/ |
    7 | repo-non-oss | openSUSE-13.1-Non-Oss | Yes | Yes | 99 | yast2 | http://download.opensuse.org/distrib.../repo/non-oss/ |
    8 | repo-oss | openSUSE-13.1-Oss | Yes | Yes | 99 | yast2 | http://download.opensuse.org/distrib...13.1/repo/oss/ |
    9 | repo-source | openSUSE-13.1-Source | No | Yes | 99 | NONE | http://download.opensuse.org/source/...13.1/repo/oss/ |
    10 | repo-update | openSUSE-13.1-Update | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/13.1/ |
    11 | repo-update-non-oss | openSUSE-13.1-Update-Non-Oss | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/13.1-non-oss/ |
    12 | windows:mingw:win32 | windows:mingw:win32 | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_13.1/ |

  6. #6

    Default Re: emacs installation

    you did add it
    you added the piplight WEB mirror folder, and NOT the piplight repo



  7. #7

    Default AW: Re: emacs installation

    Quote Originally Posted by JohnVV View Post
    you did add it
    you added the piplight WEB mirror folder, and NOT the piplight repo
    How do you come to that conclusion?
    The repo list looks fine to me.

    @mgl:
    When do you get that error message?

    Did you try to install some package using a 1-click install when that message appeared?
    If yes, you may have clicked on a 1-click install not intended for openSUSE 13.1.
    Could you provide a link in that case, please?

    PS: emacs is included in the standard repos. Just enter YaST->Software Management if you want to install it.

  8. #8

    Default Re: emacs installation

    Quote Originally Posted by mgl View Post
    The installation on 13.1 breaks down: I got this by YaST2: Software installation

    The installation has failed. For more information, see the log file at /var/log/YaST2/y2log. Failure stage was: Adding Repositories
    Error Message

    An error occurred while attempting to subscribe to the required repositories. Review the yast2 logs for more information.
    The following repositories could not be added


    It also says: Installation error: An error occurred initializing software repository
    Details:
    onpenSUSE 13.1: Ports: [1] Valid metadata not found at specified URL history
    [1] Repository type can't be determined.

    What's missing and how can I get it? Thanks!
    I got the same error message when tried to install shisen sho game with one click install.
    link: http://software.opensuse.org/package/kshisen

  9. #9

    Default Re: emacs installation

    Quote Originally Posted by fijuuot View Post
    I got the same error message when tried to install shisen sho game with one click install.
    link: http://software.opensuse.org/package/kshisen
    This is included in the distribution, so you don't have to use any 1-click install at all.

    Just run YaST->Software Management, search for "kshisen" and install it there.

    Do you get an error then as well?
    If yes, please post your repo list:
    Code:
    zypper lr -d
    If you have that Ports repo in there, remove it (in YaST->Software Repositories f.e.), and try again.

    Well, if you get the exact same error, you probably have, so just do that anyway.
    No need to post anything in that case.

    PS: I tried the 1-click install and it does indeed want to add the Ports repo, although it's not necessary and doesn't even work for a x86 installation. (ports is for PPC cpus)
    Please consider to file a bug report at http://bugzilla.novell.com/ for this. (same username/password as here)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •